body {
    margin: 0;
    padding: 0;
    width: 100vw;
    height: 100vh;
    font-family: monospace;
    font-size: 10px;
    overflow: hidden;
}

#bar {
    height: 20px;
    width: 100%;
    background-color: #352020;
    color: #c0b0a0;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: stretch;
}

#bar > button.action {
    border: 0;
    height: 100%;
    background-color: #352020;
    color: #c0b0a0;
    cursor: pointer;
}

#bar > button.action:last-of-type {
    border: 0;
    height: 100%;
    background-color: #352020;
    color: #c0b0a0;
    cursor: pointer;
    margin-left: auto;
}


#bar > button.action:hover {
    background-color: #c0b0a0;
    color: #352020;
}

#bar > input[type=text].action {
    border: 0;
    border-bottom: solid 2px #c0b0a0;
    color: #c0b0a0;
    background: #00000000;
    margin-left: 5px;
    margin-right: 5px;
}

#view {
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
}

.display {
    display: inline;
    position: fixed;
    font-weight: bold;
    top: 20px;
    right: 0;
    width: 30%;
    max-height: 50%;
    overflow-x: hidden;
    overflow-y: scroll;
    background: #251a1a;
    color: #c0b0a0;
    padding-top: 10px;
    padding-left: 10px;
    padding-bottom: 10px;
    margin: 0;
}

.display_hide {
    display: none;
}

canvas {
    width: 100%;
    height: 100%;
}

canvas:hover {
    cursor: crosshair;
}

canvas.grab:hover {
    cursor: move;
}

pre {
    white-space: break-spaces;
    font-family: "Liberation Mono", monospace;
}

pre > em[type="note"] {
    font-style: normal;
    font-weight: lighter;
}

pre > em[type="error"] {
    color: #cf1510;
    font-weight: lighter;
}

pre > em[type="warn"] {
    color: #d56f10;
    font-weight: lighter;
}

pre > em > b {
    color: inherit;
    font-weight: bold;
}